using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinToolTip;
using Infragistics.Win.FormattedLinkLabel;


namespace UltraToolTipManager_Basic_Features
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class frmUltraToolTipsBasicFeatures : System.Windows.Forms.Form
	{
		private Infragistics.Win.Misc.UltraGroupBox grpToolTipContents;
		private Infragistics.Win.UltraWinToolTip.UltraToolTipManager ultraToolTipManager1;
		private Infragistics.Win.Misc.UltraGroupBox grpToolTipAppearance;
		private Infragistics.Win.Misc.UltraLabel lblToolTipBorderColor;
		private Infragistics.Win.UltraWinEditors.UltraColorPicker ucpToolTipBorderColor;
		private Infragistics.Win.Misc.UltraLabel lblToolTip;
		private Infragistics.Win.Misc.UltraLabel lblText;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txtText;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txtTitle;
		private Infragistics.Win.Misc.UltraLabel lblTitle;
		private Infragistics.Win.Misc.UltraLabel lblImage;
		private Infragistics.Win.UltraWinEditors.UltraComboEditor cboImage;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txtCustomImage;
		private Infragistics.Win.Misc.UltraLabel lbCustomImage;
		private Infragistics.Win.UltraWinEditors.UltraColorPicker ucpForeColor;
		private Infragistics.Win.Misc.UltraLabel lblForeColor;
		private Infragistics.Win.Misc.UltraLabel lblBackColor;
		private Infragistics.Win.UltraWinEditors.UltraColorPicker ucpBackColor;
		private Infragistics.Win.Misc.UltraLabel lblBackColor2;
		private Infragistics.Win.UltraWinEditors.UltraColorPicker ucpBackColor2;
		private Infragistics.Win.Misc.UltraLabel lblGradientStyle;
		private Infragistics.Win.UltraWinEditors.UltraComboEditor cboGradientStyle;
		private Infragistics.Win.Misc.UltraLabel lblHatchStyle;
		private Infragistics.Win.UltraWinEditors.UltraComboEditor cboHatchStyle;
		private Infragistics.Win.Misc.UltraGroupBox grpTooltipBehavior;
		private Infragistics.Win.Misc.UltraLabel lblInitialDelay;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor uneInitialDelay;
		private Infragistics.Win.UltraWinEditors.UltraNumericEditor uneAutoPopDelay;
		private Infragistics.Win.Misc.UltraLabel lblAutoPopDelay;
		private Infragistics.Win.Misc.UltraLabel lblTitleForeColor;
		private Infragistics.Win.UltraWinEditors.UltraColorPicker ucpTitleForeColor;
		private Infragistics.Win.Misc.UltraLabel lblToolTip2;
		private Infragistics.Win.UltraWinToolTip.UltraToolTipManager ultraToolTipManager2;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		internal Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor fteFormattedToolTipText;
		internal Infragistics.Win.Misc.UltraLabel lblToolTipTextFormatted;
		internal Infragistics.Win.Misc.UltraLabel lblDisplayStyle;
		internal Infragistics.Win.UltraWinEditors.UltraComboEditor cboDisplayStyle;
		internal Infragistics.Win.Misc.UltraLabel lblOffice2007ColorScheme;
		internal Infragistics.Win.UltraWinEditors.UltraComboEditor cboOffice2007ColorScheme;
		internal Infragistics.Win.Misc.UltraLabel lblToolTipTextStyle;
		internal Infragistics.Win.UltraWinEditors.UltraComboEditor cboToolTipTextStyle;
		private System.ComponentModel.IContainer components;

		public frmUltraToolTipsBasicFeatures()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo1 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This is the tooltip title. The title appears above the text and will be in bold b" +
				"y default. The phrase \"What does this do?\" above is the title of this tooltip.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo2 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This determines the image that will be displayed in the tooltip title. You can ch" +
				"oose a predefined image, or choose custom and choose any image file you like.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinEditors.EditorButton editorButton1 = new Infragistics.Win.UltraWinEditors.EditorButton();
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo3 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("If the ToolTipImage property is set to Custom (or Default) you can click the elli" +
				"psis button and choose a file to display in the tooltip title.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo4 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This is the text of the tooltip.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo5 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This text will appear in the tooltip.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo6 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.False);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo7 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("Choose a HatchStyle and the background of the tooltip will show hatched. Be sure " +
				"to set BackColor and BackColor2 or this will not work. Also, GradientStyle overr" +
				"ides HatchStyle, so make sure GradientStyle is set to Default.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo8 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("Choosing a Gradient Style will make the tooltip background display with a gradien" +
				"t. Be sure to set both BackColor and BackColor2 for this to work.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo9 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This is a second BackColor for the tooltip. It will be used only if either Gradie" +
				"ntStyle or HatchStyle are set.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo10 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("Choose a BackColor for the tooltip.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo11 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("Determines the color of the tooltip border.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo12 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("Choose the color of the tooltip text. The title will use the same color, unless y" +
				"ou choose a color from the \"Title ForeColor\" box below.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo13 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This determines the color of the title text. By default, the title text will be t" +
				"he same as the ForeColor above. But you can make it a different color.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo14 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("AutoPopDelay determines how much time (in milliseconds) before the tooltip automa" +
				"tically times out and disappears.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo15 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("The InitialDelay is how much time (in milliseconds) that the mouse must remain st" +
				"ationary over the control before the tooltip is displayed. Note that the delay i" +
				"s ignored when calling the ShowToolTip method.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo16 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This is the formatted tooltip text. It will take precedence over the ToolTip Text" +
				" unless TextStyle is set to Raw.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo17 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("This determines the display style of the tooltip.", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			Infragistics.Win.UltraWinToolTip.UltraToolTipInfo ultraToolTipInfo18 = new Infragistics.Win.UltraWinToolTip.UltraToolTipInfo("", Infragistics.Win.ToolTipImage.Default, null, Infragistics.Win.DefaultableBoolean.Default);
			this.grpToolTipContents = new Infragistics.Win.Misc.UltraGroupBox();
			this.lblImage = new Infragistics.Win.Misc.UltraLabel();
			this.txtTitle = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
			this.lbCustomImage = new Infragistics.Win.Misc.UltraLabel();
			this.lblText = new Infragistics.Win.Misc.UltraLabel();
			this.cboImage = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.txtCustomImage = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
			this.lblTitle = new Infragistics.Win.Misc.UltraLabel();
			this.txtText = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
			this.lblToolTip = new Infragistics.Win.Misc.UltraLabel();
			this.ultraToolTipManager1 = new Infragistics.Win.UltraWinToolTip.UltraToolTipManager(this.components);
			this.lblToolTip2 = new Infragistics.Win.Misc.UltraLabel();
			this.grpToolTipAppearance = new Infragistics.Win.Misc.UltraGroupBox();
			this.lblHatchStyle = new Infragistics.Win.Misc.UltraLabel();
			this.cboHatchStyle = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.lblGradientStyle = new Infragistics.Win.Misc.UltraLabel();
			this.cboGradientStyle = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.lblBackColor2 = new Infragistics.Win.Misc.UltraLabel();
			this.ucpBackColor2 = new Infragistics.Win.UltraWinEditors.UltraColorPicker();
			this.lblBackColor = new Infragistics.Win.Misc.UltraLabel();
			this.ucpBackColor = new Infragistics.Win.UltraWinEditors.UltraColorPicker();
			this.lblToolTipBorderColor = new Infragistics.Win.Misc.UltraLabel();
			this.ucpToolTipBorderColor = new Infragistics.Win.UltraWinEditors.UltraColorPicker();
			this.lblForeColor = new Infragistics.Win.Misc.UltraLabel();
			this.ucpForeColor = new Infragistics.Win.UltraWinEditors.UltraColorPicker();
			this.ucpTitleForeColor = new Infragistics.Win.UltraWinEditors.UltraColorPicker();
			this.lblTitleForeColor = new Infragistics.Win.Misc.UltraLabel();
			this.grpTooltipBehavior = new Infragistics.Win.Misc.UltraGroupBox();
			this.uneAutoPopDelay = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
			this.lblAutoPopDelay = new Infragistics.Win.Misc.UltraLabel();
			this.uneInitialDelay = new Infragistics.Win.UltraWinEditors.UltraNumericEditor();
			this.lblInitialDelay = new Infragistics.Win.Misc.UltraLabel();
			this.ultraToolTipManager2 = new Infragistics.Win.UltraWinToolTip.UltraToolTipManager(this.components);
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.fteFormattedToolTipText = new Infragistics.Win.FormattedLinkLabel.UltraFormattedTextEditor();
			this.lblToolTipTextFormatted = new Infragistics.Win.Misc.UltraLabel();
			this.lblDisplayStyle = new Infragistics.Win.Misc.UltraLabel();
			this.cboDisplayStyle = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.lblOffice2007ColorScheme = new Infragistics.Win.Misc.UltraLabel();
			this.cboOffice2007ColorScheme = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			this.lblToolTipTextStyle = new Infragistics.Win.Misc.UltraLabel();
			this.cboToolTipTextStyle = new Infragistics.Win.UltraWinEditors.UltraComboEditor();
			((System.ComponentModel.ISupportInitialize)(this.grpToolTipContents)).BeginInit();
			this.grpToolTipContents.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.txtTitle)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cboImage)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtCustomImage)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.txtText)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.grpToolTipAppearance)).BeginInit();
			this.grpToolTipAppearance.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.cboHatchStyle)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cboGradientStyle)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpBackColor2)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpBackColor)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpToolTipBorderColor)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpForeColor)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpTitleForeColor)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.grpTooltipBehavior)).BeginInit();
			this.grpTooltipBehavior.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.uneAutoPopDelay)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.uneInitialDelay)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cboDisplayStyle)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cboOffice2007ColorScheme)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.cboToolTipTextStyle)).BeginInit();
			this.SuspendLayout();
			// 
			// grpToolTipContents
			// 
			this.grpToolTipContents.Controls.AddRange(new System.Windows.Forms.Control[] {
																							 this.fteFormattedToolTipText,
																							 this.lblToolTipTextFormatted,
																							 this.lblImage,
																							 this.txtTitle,
																							 this.lbCustomImage,
																							 this.lblText,
																							 this.cboImage,
																							 this.txtCustomImage,
																							 this.lblTitle,
																							 this.txtText});
			this.grpToolTipContents.Location = new System.Drawing.Point(136, 8);
			this.grpToolTipContents.Name = "grpToolTipContents";
			this.grpToolTipContents.Size = new System.Drawing.Size(176, 400);
			this.grpToolTipContents.TabIndex = 0;
			this.grpToolTipContents.Text = "ToolTip Contents";
			// 
			// lblImage
			// 
			this.lblImage.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblImage.Location = new System.Drawing.Point(16, 304);
			this.lblImage.Name = "lblImage";
			this.lblImage.Size = new System.Drawing.Size(144, 16);
			this.lblImage.TabIndex = 6;
			this.lblImage.Text = "ToolTip Image";
			// 
			// txtTitle
			// 
			this.txtTitle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.txtTitle.Location = new System.Drawing.Point(16, 248);
			this.txtTitle.Multiline = true;
			this.txtTitle.Name = "txtTitle";
			this.txtTitle.Size = new System.Drawing.Size(144, 21);
			this.txtTitle.TabIndex = 5;
			ultraToolTipInfo1.ToolTipText = "This is the tooltip title. The title appears above the text and will be in bold b" +
				"y default. The phrase \"What does this do?\" above is the title of this tooltip.";
			this.ultraToolTipManager2.SetUltraToolTip(this.txtTitle, ultraToolTipInfo1);
			this.txtTitle.ValueChanged += new System.EventHandler(this.txtTitle_ValueChanged);
			// 
			// lbCustomImage
			// 
			this.lbCustomImage.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lbCustomImage.Location = new System.Drawing.Point(16, 352);
			this.lbCustomImage.Name = "lbCustomImage";
			this.lbCustomImage.Size = new System.Drawing.Size(144, 16);
			this.lbCustomImage.TabIndex = 9;
			this.lbCustomImage.Text = "Custom Image";
			// 
			// lblText
			// 
			this.lblText.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblText.Location = new System.Drawing.Point(16, 24);
			this.lblText.Name = "lblText";
			this.lblText.Size = new System.Drawing.Size(144, 16);
			this.lblText.TabIndex = 2;
			this.lblText.Text = "ToolTip Text";
			// 
			// cboImage
			// 
			this.cboImage.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.cboImage.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboImage.Location = new System.Drawing.Point(16, 320);
			this.cboImage.Name = "cboImage";
			this.cboImage.TabIndex = 7;
			ultraToolTipInfo2.ToolTipText = "This determines the image that will be displayed in the tooltip title. You can ch" +
				"oose a predefined image, or choose custom and choose any image file you like.";
			this.ultraToolTipManager2.SetUltraToolTip(this.cboImage, ultraToolTipInfo2);
			this.cboImage.ValueChanged += new System.EventHandler(this.cboImage_ValueChanged);
			// 
			// txtCustomImage
			// 
			this.txtCustomImage.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			editorButton1.Text = "...";
			this.txtCustomImage.ButtonsRight.Add(editorButton1);
			this.txtCustomImage.Location = new System.Drawing.Point(16, 368);
			this.txtCustomImage.Multiline = true;
			this.txtCustomImage.Name = "txtCustomImage";
			this.txtCustomImage.ReadOnly = true;
			this.txtCustomImage.Size = new System.Drawing.Size(144, 21);
			this.txtCustomImage.TabIndex = 8;
			ultraToolTipInfo3.ToolTipText = "If the ToolTipImage property is set to Custom (or Default) you can click the elli" +
				"psis button and choose a file to display in the tooltip title.";
			this.ultraToolTipManager2.SetUltraToolTip(this.txtCustomImage, ultraToolTipInfo3);
			this.txtCustomImage.EditorButtonClick += new Infragistics.Win.UltraWinEditors.EditorButtonEventHandler(this.txtCustomImage_EditorButtonClick);
			// 
			// lblTitle
			// 
			this.lblTitle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblTitle.Location = new System.Drawing.Point(16, 232);
			this.lblTitle.Name = "lblTitle";
			this.lblTitle.Size = new System.Drawing.Size(144, 16);
			this.lblTitle.TabIndex = 4;
			this.lblTitle.Text = "ToolTip Title";
			// 
			// txtText
			// 
			this.txtText.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.txtText.Location = new System.Drawing.Point(16, 40);
			this.txtText.Multiline = true;
			this.txtText.Name = "txtText";
			this.txtText.Size = new System.Drawing.Size(144, 80);
			this.txtText.TabIndex = 3;
			this.txtText.Text = "This text will appear in the tooltip.";
			ultraToolTipInfo4.ToolTipText = "This is the text of the tooltip.";
			this.ultraToolTipManager2.SetUltraToolTip(this.txtText, ultraToolTipInfo4);
			this.txtText.ValueChanged += new System.EventHandler(this.txtText_ValueChanged);
			// 
			// lblToolTip
			// 
			this.lblToolTip.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			appearance1.TextHAlignAsString = "Center";
			appearance1.TextVAlignAsString = "Middle";
			this.lblToolTip.Appearance = appearance1;
			this.lblToolTip.BorderStyleOuter = Infragistics.Win.UIElementBorderStyle.Solid;
			this.lblToolTip.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblToolTip.Location = new System.Drawing.Point(536, 8);
			this.lblToolTip.Name = "lblToolTip";
			this.lblToolTip.Size = new System.Drawing.Size(208, 184);
			this.lblToolTip.TabIndex = 1;
			this.lblToolTip.Text = "Hover the mouse over this label to see your tooltip. This tooltip is displayed au" +
				"tomatically by the UltraToolTipManager by use of the UltraToolTip extender prope" +
				"rty.";
			ultraToolTipInfo5.ToolTipText = "This text will appear in the tooltip.";
			ultraToolTipInfo5.ToolTipTextFormatted = "This text will display in the tooltip when <span style=\"font-weight:bold;\">format" +
				"ted</span>!";
			this.ultraToolTipManager1.SetUltraToolTip(this.lblToolTip, ultraToolTipInfo5);
			// 
			// ultraToolTipManager1
			// 
			this.ultraToolTipManager1.ContainingControl = this;
			// 
			// lblToolTip2
			// 
			this.lblToolTip2.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			appearance2.TextHAlignAsString = "Center";
			appearance2.TextVAlignAsString = "Middle";
			this.lblToolTip2.Appearance = appearance2;
			this.lblToolTip2.BorderStyleOuter = Infragistics.Win.UIElementBorderStyle.Solid;
			this.lblToolTip2.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblToolTip2.Location = new System.Drawing.Point(536, 200);
			this.lblToolTip2.Name = "lblToolTip2";
			this.lblToolTip2.Size = new System.Drawing.Size(208, 184);
			this.lblToolTip2.TabIndex = 4;
			this.lblToolTip2.Text = "Click the mouse on this label to see the tooltip displayed manually via the ShowT" +
				"oolTip method.";
			ultraToolTipInfo6.Enabled = Infragistics.Win.DefaultableBoolean.False;
			this.ultraToolTipManager1.SetUltraToolTip(this.lblToolTip2, ultraToolTipInfo6);
			this.lblToolTip2.Click += new System.EventHandler(this.lblToolTip2_Click);
			// 
			// grpToolTipAppearance
			// 
			this.grpToolTipAppearance.Controls.AddRange(new System.Windows.Forms.Control[] {
																							   this.lblHatchStyle,
																							   this.cboHatchStyle,
																							   this.lblGradientStyle,
																							   this.cboGradientStyle,
																							   this.lblBackColor2,
																							   this.ucpBackColor2,
																							   this.lblBackColor,
																							   this.ucpBackColor,
																							   this.lblToolTipBorderColor,
																							   this.ucpToolTipBorderColor,
																							   this.lblForeColor,
																							   this.ucpForeColor,
																							   this.ucpTitleForeColor,
																							   this.lblTitleForeColor});
			this.grpToolTipAppearance.Location = new System.Drawing.Point(320, 8);
			this.grpToolTipAppearance.Name = "grpToolTipAppearance";
			this.grpToolTipAppearance.Size = new System.Drawing.Size(208, 400);
			this.grpToolTipAppearance.TabIndex = 2;
			this.grpToolTipAppearance.Text = "ToolTip Appearance";
			// 
			// lblHatchStyle
			// 
			this.lblHatchStyle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblHatchStyle.Location = new System.Drawing.Point(16, 224);
			this.lblHatchStyle.Name = "lblHatchStyle";
			this.lblHatchStyle.Size = new System.Drawing.Size(176, 16);
			this.lblHatchStyle.TabIndex = 12;
			this.lblHatchStyle.Text = "Hatch Style";
			// 
			// cboHatchStyle
			// 
			this.cboHatchStyle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.cboHatchStyle.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboHatchStyle.Location = new System.Drawing.Point(16, 240);
			this.cboHatchStyle.Name = "cboHatchStyle";
			this.cboHatchStyle.Size = new System.Drawing.Size(176, 21);
			this.cboHatchStyle.TabIndex = 13;
			ultraToolTipInfo7.ToolTipText = "Choose a HatchStyle and the background of the tooltip will show hatched. Be sure " +
				"to set BackColor and BackColor2 or this will not work. Also, GradientStyle overr" +
				"ides HatchStyle, so make sure GradientStyle is set to Default.";
			this.ultraToolTipManager2.SetUltraToolTip(this.cboHatchStyle, ultraToolTipInfo7);
			this.cboHatchStyle.ValueChanged += new System.EventHandler(this.cboHatchStyle_ValueChanged);
			// 
			// lblGradientStyle
			// 
			this.lblGradientStyle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblGradientStyle.Location = new System.Drawing.Point(16, 176);
			this.lblGradientStyle.Name = "lblGradientStyle";
			this.lblGradientStyle.Size = new System.Drawing.Size(176, 16);
			this.lblGradientStyle.TabIndex = 10;
			this.lblGradientStyle.Text = "Gradient Style";
			// 
			// cboGradientStyle
			// 
			this.cboGradientStyle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.cboGradientStyle.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboGradientStyle.Location = new System.Drawing.Point(16, 192);
			this.cboGradientStyle.Name = "cboGradientStyle";
			this.cboGradientStyle.Size = new System.Drawing.Size(176, 21);
			this.cboGradientStyle.TabIndex = 11;
			ultraToolTipInfo8.ToolTipText = "Choosing a Gradient Style will make the tooltip background display with a gradien" +
				"t. Be sure to set both BackColor and BackColor2 for this to work.";
			this.ultraToolTipManager2.SetUltraToolTip(this.cboGradientStyle, ultraToolTipInfo8);
			this.cboGradientStyle.ValueChanged += new System.EventHandler(this.cboGradientStyle_ValueChanged);
			// 
			// lblBackColor2
			// 
			this.lblBackColor2.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblBackColor2.Location = new System.Drawing.Point(16, 128);
			this.lblBackColor2.Name = "lblBackColor2";
			this.lblBackColor2.Size = new System.Drawing.Size(176, 16);
			this.lblBackColor2.TabIndex = 9;
			this.lblBackColor2.Text = "BackColor2";
			// 
			// ucpBackColor2
			// 
			this.ucpBackColor2.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.ucpBackColor2.DefaultColor = System.Drawing.Color.Transparent;
			this.ucpBackColor2.Location = new System.Drawing.Point(16, 144);
			this.ucpBackColor2.Name = "ucpBackColor2";
			this.ucpBackColor2.Size = new System.Drawing.Size(176, 21);
			this.ucpBackColor2.TabIndex = 8;
			this.ucpBackColor2.Text = "Transparent";
			ultraToolTipInfo9.ToolTipText = "This is a second BackColor for the tooltip. It will be used only if either Gradie" +
				"ntStyle or HatchStyle are set.";
			this.ultraToolTipManager2.SetUltraToolTip(this.ucpBackColor2, ultraToolTipInfo9);
			this.ucpBackColor2.ColorChanged += new System.EventHandler(this.ucpBackColor2_ColorChanged);
			// 
			// lblBackColor
			// 
			this.lblBackColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblBackColor.Location = new System.Drawing.Point(16, 80);
			this.lblBackColor.Name = "lblBackColor";
			this.lblBackColor.Size = new System.Drawing.Size(176, 16);
			this.lblBackColor.TabIndex = 7;
			this.lblBackColor.Text = "BackColor";
			// 
			// ucpBackColor
			// 
			this.ucpBackColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.ucpBackColor.DefaultColor = System.Drawing.SystemColors.Info;
			this.ucpBackColor.Location = new System.Drawing.Point(16, 96);
			this.ucpBackColor.Name = "ucpBackColor";
			this.ucpBackColor.Size = new System.Drawing.Size(176, 21);
			this.ucpBackColor.TabIndex = 6;
			this.ucpBackColor.Text = "Info";
			ultraToolTipInfo10.ToolTipText = "Choose a BackColor for the tooltip.";
			this.ultraToolTipManager2.SetUltraToolTip(this.ucpBackColor, ultraToolTipInfo10);
			this.ucpBackColor.ColorChanged += new System.EventHandler(this.ucpBackColor_ColorChanged);
			// 
			// lblToolTipBorderColor
			// 
			this.lblToolTipBorderColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblToolTipBorderColor.Location = new System.Drawing.Point(16, 288);
			this.lblToolTipBorderColor.Name = "lblToolTipBorderColor";
			this.lblToolTipBorderColor.Size = new System.Drawing.Size(176, 16);
			this.lblToolTipBorderColor.TabIndex = 5;
			this.lblToolTipBorderColor.Text = "BorderColor";
			// 
			// ucpToolTipBorderColor
			// 
			this.ucpToolTipBorderColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.ucpToolTipBorderColor.DefaultColor = System.Drawing.SystemColors.WindowFrame;
			this.ucpToolTipBorderColor.Location = new System.Drawing.Point(16, 304);
			this.ucpToolTipBorderColor.Name = "ucpToolTipBorderColor";
			this.ucpToolTipBorderColor.Size = new System.Drawing.Size(176, 21);
			this.ucpToolTipBorderColor.TabIndex = 4;
			this.ucpToolTipBorderColor.Text = "WindowFrame";
			ultraToolTipInfo11.ToolTipText = "Determines the color of the tooltip border.";
			this.ultraToolTipManager2.SetUltraToolTip(this.ucpToolTipBorderColor, ultraToolTipInfo11);
			this.ucpToolTipBorderColor.ColorChanged += new System.EventHandler(this.ucpToolTipBorderColor_ColorChanged);
			// 
			// lblForeColor
			// 
			this.lblForeColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblForeColor.Location = new System.Drawing.Point(16, 24);
			this.lblForeColor.Name = "lblForeColor";
			this.lblForeColor.Size = new System.Drawing.Size(176, 16);
			this.lblForeColor.TabIndex = 3;
			this.lblForeColor.Text = "ForeColor";
			// 
			// ucpForeColor
			// 
			this.ucpForeColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.ucpForeColor.DefaultColor = System.Drawing.SystemColors.InfoText;
			this.ucpForeColor.Location = new System.Drawing.Point(16, 40);
			this.ucpForeColor.Name = "ucpForeColor";
			this.ucpForeColor.Size = new System.Drawing.Size(176, 21);
			this.ucpForeColor.TabIndex = 0;
			this.ucpForeColor.Text = "InfoText";
			ultraToolTipInfo12.ToolTipText = "Choose the color of the tooltip text. The title will use the same color, unless y" +
				"ou choose a color from the \"Title ForeColor\" box below.";
			this.ultraToolTipManager2.SetUltraToolTip(this.ucpForeColor, ultraToolTipInfo12);
			this.ucpForeColor.ColorChanged += new System.EventHandler(this.ucpForeColor_ColorChanged);
			// 
			// ucpTitleForeColor
			// 
			this.ucpTitleForeColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.ucpTitleForeColor.DefaultColor = System.Drawing.SystemColors.InfoText;
			this.ucpTitleForeColor.Location = new System.Drawing.Point(16, 368);
			this.ucpTitleForeColor.Name = "ucpTitleForeColor";
			this.ucpTitleForeColor.Size = new System.Drawing.Size(176, 21);
			this.ucpTitleForeColor.TabIndex = 0;
			this.ucpTitleForeColor.Text = "InfoText";
			ultraToolTipInfo13.ToolTipText = "This determines the color of the title text. By default, the title text will be t" +
				"he same as the ForeColor above. But you can make it a different color.";
			this.ultraToolTipManager2.SetUltraToolTip(this.ucpTitleForeColor, ultraToolTipInfo13);
			this.ucpTitleForeColor.ColorChanged += new System.EventHandler(this.ucpTitleForeColor_ColorChanged);
			// 
			// lblTitleForeColor
			// 
			this.lblTitleForeColor.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblTitleForeColor.Location = new System.Drawing.Point(16, 352);
			this.lblTitleForeColor.Name = "lblTitleForeColor";
			this.lblTitleForeColor.Size = new System.Drawing.Size(176, 16);
			this.lblTitleForeColor.TabIndex = 3;
			this.lblTitleForeColor.Text = "Title ForeColor";
			// 
			// grpTooltipBehavior
			// 
			this.grpTooltipBehavior.Controls.AddRange(new System.Windows.Forms.Control[] {
																							 this.lblToolTipTextStyle,
																							 this.cboToolTipTextStyle,
																							 this.lblOffice2007ColorScheme,
																							 this.cboOffice2007ColorScheme,
																							 this.lblDisplayStyle,
																							 this.cboDisplayStyle,
																							 this.uneAutoPopDelay,
																							 this.lblAutoPopDelay,
																							 this.uneInitialDelay,
																							 this.lblInitialDelay});
			this.grpTooltipBehavior.Location = new System.Drawing.Point(8, 8);
			this.grpTooltipBehavior.Name = "grpTooltipBehavior";
			this.grpTooltipBehavior.Size = new System.Drawing.Size(120, 400);
			this.grpTooltipBehavior.TabIndex = 3;
			this.grpTooltipBehavior.Text = "ToolTip Behavior";
			// 
			// uneAutoPopDelay
			// 
			this.uneAutoPopDelay.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.uneAutoPopDelay.Location = new System.Drawing.Point(16, 216);
			this.uneAutoPopDelay.MaskDisplayMode = Infragistics.Win.UltraWinMaskedEdit.MaskMode.Raw;
			this.uneAutoPopDelay.MaskInput = "nnnn";
			this.uneAutoPopDelay.MaxValue = 9999;
			this.uneAutoPopDelay.MinValue = 0;
			this.uneAutoPopDelay.Name = "uneAutoPopDelay";
			this.uneAutoPopDelay.Size = new System.Drawing.Size(88, 21);
			this.uneAutoPopDelay.SpinButtonDisplayStyle = Infragistics.Win.ButtonDisplayStyle.Always;
			this.uneAutoPopDelay.SpinWrap = true;
			this.uneAutoPopDelay.TabIndex = 8;
			ultraToolTipInfo14.ToolTipText = "AutoPopDelay determines how much time (in milliseconds) before the tooltip automa" +
				"tically times out and disappears.";
			this.ultraToolTipManager2.SetUltraToolTip(this.uneAutoPopDelay, ultraToolTipInfo14);
			this.uneAutoPopDelay.Value = 5000;
			this.uneAutoPopDelay.ValueChanged += new System.EventHandler(this.uneAutoPopDelay_ValueChanged);
			// 
			// lblAutoPopDelay
			// 
			this.lblAutoPopDelay.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblAutoPopDelay.Location = new System.Drawing.Point(16, 200);
			this.lblAutoPopDelay.Name = "lblAutoPopDelay";
			this.lblAutoPopDelay.Size = new System.Drawing.Size(88, 16);
			this.lblAutoPopDelay.TabIndex = 7;
			this.lblAutoPopDelay.Text = "AutoPop Delay";
			// 
			// uneInitialDelay
			// 
			this.uneInitialDelay.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.uneInitialDelay.Location = new System.Drawing.Point(16, 160);
			this.uneInitialDelay.MaskDisplayMode = Infragistics.Win.UltraWinMaskedEdit.MaskMode.Raw;
			this.uneInitialDelay.MaskInput = "nnnn";
			this.uneInitialDelay.MaxValue = 9999;
			this.uneInitialDelay.MinValue = 0;
			this.uneInitialDelay.Name = "uneInitialDelay";
			this.uneInitialDelay.Size = new System.Drawing.Size(88, 21);
			this.uneInitialDelay.SpinButtonDisplayStyle = Infragistics.Win.ButtonDisplayStyle.Always;
			this.uneInitialDelay.SpinWrap = true;
			this.uneInitialDelay.TabIndex = 6;
			ultraToolTipInfo15.ToolTipText = "The InitialDelay is how much time (in milliseconds) that the mouse must remain st" +
				"ationary over the control before the tooltip is displayed. Note that the delay i" +
				"s ignored when calling the ShowToolTip method.";
			this.ultraToolTipManager2.SetUltraToolTip(this.uneInitialDelay, ultraToolTipInfo15);
			this.uneInitialDelay.Value = 500;
			this.uneInitialDelay.ValueChanged += new System.EventHandler(this.uneInitialDelay_ValueChanged);
			// 
			// lblInitialDelay
			// 
			this.lblInitialDelay.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblInitialDelay.Location = new System.Drawing.Point(16, 144);
			this.lblInitialDelay.Name = "lblInitialDelay";
			this.lblInitialDelay.Size = new System.Drawing.Size(88, 16);
			this.lblInitialDelay.TabIndex = 5;
			this.lblInitialDelay.Text = "Initial Delay";
			// 
			// ultraToolTipManager2
			// 
			this.ultraToolTipManager2.AutoPopDelay = 20000;
			this.ultraToolTipManager2.ContainingControl = this;
			this.ultraToolTipManager2.ToolTipImage = Infragistics.Win.ToolTipImage.Info;
			this.ultraToolTipManager2.ToolTipTitle = "What does this do?";
			// 
			// openFileDialog1
			// 
			this.openFileDialog1.DefaultExt = "bmp";
			this.openFileDialog1.Filter = "All image files(*.BMP;*.GIF;*.JPG;*.JPEG;*.PNG;*.ICO;*.EMF;*.WMF;)|*.BMP;*.GIF;*." +
				"JPG;*.JPEG;*.PNG;*.ICO;*.EMF;*.WMF";
			this.openFileDialog1.Title = "Choose an image file";
			this.openFileDialog1.FileOk += new System.ComponentModel.CancelEventHandler(this.openFileDialog1_FileOk);
			// 
			// fteFormattedToolTipText
			// 
			this.fteFormattedToolTipText.Location = new System.Drawing.Point(16, 144);
			this.fteFormattedToolTipText.Name = "fteFormattedToolTipText";
			this.fteFormattedToolTipText.Size = new System.Drawing.Size(144, 72);
			this.fteFormattedToolTipText.TabIndex = 16;
			ultraToolTipInfo16.ToolTipText = "This is the formatted tooltip text. It will take precedence over the ToolTip Text" +
				" unless TextStyle is set to Raw.";
			this.ultraToolTipManager2.SetUltraToolTip(this.fteFormattedToolTipText, ultraToolTipInfo16);
			this.fteFormattedToolTipText.Value = "This text will display in the tooltip when <span style=\"font-weight:bold;\">format" +
				"ted</span>!";
			this.fteFormattedToolTipText.ValueChanged += new System.EventHandler(this.fteFormattedToolTipText_ValueChanged);
			// 
			// lblToolTipTextFormatted
			// 
			this.lblToolTipTextFormatted.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblToolTipTextFormatted.Location = new System.Drawing.Point(16, 128);
			this.lblToolTipTextFormatted.Name = "lblToolTipTextFormatted";
			this.lblToolTipTextFormatted.Size = new System.Drawing.Size(144, 16);
			this.lblToolTipTextFormatted.TabIndex = 15;
			this.lblToolTipTextFormatted.Text = "Formatted ToolTip Text";
			// 
			// lblDisplayStyle
			// 
			this.lblDisplayStyle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblDisplayStyle.Location = new System.Drawing.Point(16, 24);
			this.lblDisplayStyle.Name = "lblDisplayStyle";
			this.lblDisplayStyle.Size = new System.Drawing.Size(88, 16);
			this.lblDisplayStyle.TabIndex = 16;
			this.lblDisplayStyle.Text = "DisplayStyle";
			// 
			// cboDisplayStyle
			// 
			this.cboDisplayStyle.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboDisplayStyle.Location = new System.Drawing.Point(16, 40);
			this.cboDisplayStyle.Name = "cboDisplayStyle";
			this.cboDisplayStyle.Size = new System.Drawing.Size(88, 21);
			this.cboDisplayStyle.TabIndex = 15;
			ultraToolTipInfo17.ToolTipText = "This determines the display style of the tooltip.";
			this.ultraToolTipManager2.SetUltraToolTip(this.cboDisplayStyle, ultraToolTipInfo17);
			this.cboDisplayStyle.ValueChanged += new System.EventHandler(this.cboDisplayStyle_ValueChanged);
			// 
			// lblOffice2007ColorScheme
			// 
			this.lblOffice2007ColorScheme.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblOffice2007ColorScheme.Location = new System.Drawing.Point(16, 72);
			this.lblOffice2007ColorScheme.Name = "lblOffice2007ColorScheme";
			this.lblOffice2007ColorScheme.Size = new System.Drawing.Size(88, 24);
			this.lblOffice2007ColorScheme.TabIndex = 18;
			this.lblOffice2007ColorScheme.Text = "Office 2007 Color Scheme";
			// 
			// cboOffice2007ColorScheme
			// 
			this.cboOffice2007ColorScheme.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboOffice2007ColorScheme.Location = new System.Drawing.Point(16, 104);
			this.cboOffice2007ColorScheme.Name = "cboOffice2007ColorScheme";
			this.cboOffice2007ColorScheme.Size = new System.Drawing.Size(88, 21);
			this.cboOffice2007ColorScheme.TabIndex = 17;
			this.cboOffice2007ColorScheme.ValueChanged += new System.EventHandler(this.cboOffice2007ColorScheme_ValueChanged);
			// 
			// lblToolTipTextStyle
			// 
			this.lblToolTipTextStyle.Anchor = ((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right);
			this.lblToolTipTextStyle.Location = new System.Drawing.Point(16, 256);
			this.lblToolTipTextStyle.Name = "lblToolTipTextStyle";
			this.lblToolTipTextStyle.Size = new System.Drawing.Size(88, 16);
			this.lblToolTipTextStyle.TabIndex = 20;
			this.lblToolTipTextStyle.Text = "TextStyle";
			// 
			// cboToolTipTextStyle
			// 
			this.cboToolTipTextStyle.DropDownStyle = Infragistics.Win.DropDownStyle.DropDownList;
			this.cboToolTipTextStyle.Location = new System.Drawing.Point(16, 272);
			this.cboToolTipTextStyle.Name = "cboToolTipTextStyle";
			this.cboToolTipTextStyle.Size = new System.Drawing.Size(88, 21);
			this.cboToolTipTextStyle.TabIndex = 19;
			ultraToolTipInfo18.ToolTipTextFormatted = @"This determines the text style of the tooltip.<br/><br/>When set to <span style=""font-weight:bold;"">Formatted</span>, the tooltips will display using the <span style=""font-weight:bold;"">ToolTipTextFormatted</span>&edsp;property - use the <span style=""font-style:italic;"">Formatted ToolTip Text</span>&edsp;box to the right.&edsp;<br/>When set to <span style=""font-weight:bold;"">Raw</span>, the tooltips will display unformatted, usng the <span style=""font-weight:bold;"">ToolTipText</span>&edsp;property - use the <span style=""font-style:italic; font-weight:normal;"">ToolTip Text</span>&edsp;box to the right.<br/><br/>When set to <span style=""font-weight:bold;"">Default</span>, the formatted text will take precedence. So if if the <span style=""font-weight:bold;"">ToolTipTextFormatted</span>&edsp;is set, it will be used, otherwise, the <span style=""font-weight:bold;"">ToolTipText</span>&edsp;will be used.";
			this.ultraToolTipManager2.SetUltraToolTip(this.cboToolTipTextStyle, ultraToolTipInfo18);
			this.cboToolTipTextStyle.ValueChanged += new System.EventHandler(this.cboToolTipTextStyle_ValueChanged);
			// 
			// frmUltraToolTipsBasicFeatures
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(752, 414);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.lblToolTip2,
																		  this.grpTooltipBehavior,
																		  this.grpToolTipAppearance,
																		  this.grpToolTipContents,
																		  this.lblToolTip});
			this.Name = "frmUltraToolTipsBasicFeatures";
			this.Text = "UltraToolTips Basic Features";
			this.Load += new System.EventHandler(this.frmUltraToolTipsBasicFeatures_Load);
			((System.ComponentModel.ISupportInitialize)(this.grpToolTipContents)).EndInit();
			this.grpToolTipContents.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.txtTitle)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cboImage)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtCustomImage)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.txtText)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.grpToolTipAppearance)).EndInit();
			this.grpToolTipAppearance.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.cboHatchStyle)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cboGradientStyle)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpBackColor2)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpBackColor)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpToolTipBorderColor)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpForeColor)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.ucpTitleForeColor)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.grpTooltipBehavior)).EndInit();
			this.grpTooltipBehavior.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.uneAutoPopDelay)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.uneInitialDelay)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cboDisplayStyle)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cboOffice2007ColorScheme)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.cboToolTipTextStyle)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
        { 
			//Load the IG isl File
			Infragistics.StyleLibrary.GetStyleLibrary style = new Infragistics.StyleLibrary.GetStyleLibrary();
			string islFile = style.GetIsl();
			Infragistics.Win.AppStyling.StyleManager.Load(islFile);

			Application.Run(new frmUltraToolTipsBasicFeatures());
		}

		#region Private Methods

		#region InitializeUI
		
		private void InitializeUI()
		{
			// Populate ComboBoxes
			frmUltraToolTipsBasicFeatures.FillComboFromEnum(this.cboGradientStyle, GradientStyle.Default);
			frmUltraToolTipsBasicFeatures.FillComboFromEnum(this.cboHatchStyle, BackHatchStyle.Default);
			frmUltraToolTipsBasicFeatures.FillComboFromEnum(this.cboImage, ToolTipImage.Default);
			frmUltraToolTipsBasicFeatures.FillComboFromEnum(this.cboDisplayStyle, ToolTipDisplayStyle.Default);
			frmUltraToolTipsBasicFeatures.FillComboFromEnum(this.cboOffice2007ColorScheme, Office2007ColorScheme.Blue);
			frmUltraToolTipsBasicFeatures.FillComboFromEnum(this.cboToolTipTextStyle, ToolTipTextStyle.Default);

			// Set the default empty colors
			this.ucpBackColor.DefaultColor = Color.Empty;
			this.ucpBackColor.Color = Color.Empty;
			this.ucpBackColor2.DefaultColor = Color.Empty;
			this.ucpBackColor2.Color = Color.Empty;
			this.ucpTitleForeColor.DefaultColor = Color.Empty;
			this.ucpTitleForeColor.Color = Color.Empty;
			this.ucpForeColor.DefaultColor = Color.Empty;
			this.ucpForeColor.Color = Color.Empty;
			this.ucpToolTipBorderColor.DefaultColor = Color.Empty;
			this.ucpToolTipBorderColor.Color = Color.Empty;
		}	

		#endregion InitializeUI

		#region FillComboFromEnum
		public static void FillComboFromEnum( UltraComboEditor combo,  System.Enum enumValue )
		{
			FillComboFromEnum( combo, enumValue, true );
		}			

		public static void FillComboFromEnum( UltraComboEditor combo,  System.Enum enumValue, bool setDefaultValue)
		{       
			combo.Items.Clear();
			Array enumValues = System.Enum.GetValues(enumValue.GetType());
			foreach (object singleEnum in enumValues)
				combo.Items.Add(singleEnum);

			if ( setDefaultValue )
				combo.Value = enumValue;
		}
		#endregion FillComboFromEnum

		#endregion Private Methods

		#region Event Handlers

		#region frmUltraToolTipsBasicFeatures_Load
		private void frmUltraToolTipsBasicFeatures_Load(object sender, System.EventArgs e)
		{
			// Populate ComboBoxes and default values and such. 
			this.InitializeUI();
		}
		#endregion frmUltraToolTipsBasicFeatures_Load

		#region lblToolTip2_Click
		private void lblToolTip2_Click(object sender, System.EventArgs e)
		{
			// Get the UltraToolTipInfo for the label
			UltraToolTipInfo tooltipInfo = this.ultraToolTipManager1.GetUltraToolTip(this.lblToolTip2);

			// Set the ToolTipText
			tooltipInfo.ToolTipText = this.txtText.Text;

			 // Set the ToolTipTextFormatted
			if (this.fteFormattedToolTipText.Value != null)
				tooltipInfo.ToolTipTextFormatted = this.fteFormattedToolTipText.Value.ToString();
			else
				tooltipInfo.ToolTipTextFormatted = null;

			// Show the tooltip. 
			this.ultraToolTipManager1.ShowToolTip(this.lblToolTip2);		
		}
		#endregion lblToolTip2_Click

		#region chkBaloonTips_CheckedChanged
		private void chkBaloonTips_CheckedChanged(object sender, System.EventArgs e)
		{
			UltraCheckEditor cb = sender as UltraCheckEditor;
			if (cb.Checked)
				this.ultraToolTipManager1.DisplayStyle = ToolTipDisplayStyle.BalloonTip;
			else
				this.ultraToolTipManager1.DisplayStyle = ToolTipDisplayStyle.Standard;		
		}	
		#endregion chkBaloonTips_CheckedChanged

		#region uneInitialDelay_ValueChanged
		private void uneInitialDelay_ValueChanged(object sender, System.EventArgs e)
		{
			UltraNumericEditor une = sender as UltraNumericEditor;
			this.ultraToolTipManager1.InitialDelay = (int)une.Value;
		}
		#endregion uneInitialDelay_ValueChanged

		#region uneAutoPopDelay_ValueChanged
		private void uneAutoPopDelay_ValueChanged(object sender, System.EventArgs e)
		{
			UltraNumericEditor une = sender as UltraNumericEditor;
			this.ultraToolTipManager1.AutoPopDelay = (int)une.Value;
		}
		#endregion uneAutoPopDelay_ValueChanged

		#region txtText_ValueChanged
		private void txtText_ValueChanged(object sender, System.EventArgs e)
		{
			UltraTextEditor ute = sender as UltraTextEditor;

			// Get the ULtraToolTipInfo for the label
			UltraToolTipInfo toolTipInfo = this.ultraToolTipManager1.GetUltraToolTip(this.lblToolTip);

			// Set the ToolTipText
			toolTipInfo.ToolTipText = ute.Text;
		}
		#endregion txtText_ValueChanged

		#region txtTitle_ValueChanged
		private void txtTitle_ValueChanged(object sender, System.EventArgs e)
		{
			UltraTextEditor ute = sender as UltraTextEditor;			
			this.ultraToolTipManager1.ToolTipTitle = ute.Text;
		}
		#endregion txtTitle_ValueChanged

		#region cboImage_ValueChanged
		private void cboImage_ValueChanged(object sender, System.EventArgs e)
		{
			UltraComboEditor uce = sender as UltraComboEditor;			
			ToolTipImage toolTipImage = (ToolTipImage)uce.Value;
			this.ultraToolTipManager1.ToolTipImage = toolTipImage;

			switch (toolTipImage)
			{
				case ToolTipImage.Custom:
				case ToolTipImage.Default:
					this.txtCustomImage.Enabled = true;
					break;
				case ToolTipImage.None:
				case ToolTipImage.Error:
				case ToolTipImage.Info:
				case ToolTipImage.Warning:
					this.txtCustomImage.Enabled = false;
					break;
			}
		}
		#endregion cboImage_ValueChanged

		#region ucpForeColor_ColorChanged
		private void ucpForeColor_ColorChanged(object sender, System.EventArgs e)
		{			
			UltraColorPicker ucp = sender as UltraColorPicker;
			this.ultraToolTipManager1.Appearance.ForeColor = ucp.Color;
		}
		#endregion ucpForeColor_ColorChanged

		#region ucpBackColor_ColorChanged
		private void ucpBackColor_ColorChanged(object sender, System.EventArgs e)
		{
			UltraColorPicker ucp = sender as UltraColorPicker;			
			this.ultraToolTipManager1.Appearance.BackColor = ucp.Color;
		}
		#endregion ucpBackColor_ColorChanged

		#region ucpBackColor2_ColorChanged
		private void ucpBackColor2_ColorChanged(object sender, System.EventArgs e)
		{
			UltraColorPicker ucp = sender as UltraColorPicker;			
			this.ultraToolTipManager1.Appearance.BackColor2 = ucp.Color;
		}
		#endregion ucpBackColor2_ColorChanged

		#region cboGradientStyle_ValueChanged
		private void cboGradientStyle_ValueChanged(object sender, System.EventArgs e)
		{
			UltraComboEditor uce = sender as UltraComboEditor;			
			GradientStyle gradientStyle= (GradientStyle)uce.Value;			
			this.ultraToolTipManager1.Appearance.BackGradientStyle = gradientStyle;
		}
		#endregion cboGradientStyle_ValueChanged

		#region cboHatchStyle_ValueChanged
		private void cboHatchStyle_ValueChanged(object sender, System.EventArgs e)
		{
			UltraComboEditor uce = sender as UltraComboEditor;			
			BackHatchStyle backHatchStyle= (BackHatchStyle)uce.Value;			
			this.ultraToolTipManager1.Appearance.BackHatchStyle = backHatchStyle;
		}
		#endregion cboHatchStyle_ValueChanged

		#region ucpToolTipBorderColor_ColorChanged
		private void ucpToolTipBorderColor_ColorChanged(object sender, System.EventArgs e)
		{
			UltraColorPicker ucp = sender as UltraColorPicker;			
			this.ultraToolTipManager1.Appearance.BorderColor = ucp.Color;
		}
		#endregion ucpToolTipBorderColor_ColorChanged

		#region ucpTitleForeColor_ColorChanged
		private void ucpTitleForeColor_ColorChanged(object sender, System.EventArgs e)
		{
			UltraColorPicker ucp = sender as UltraColorPicker;			
			this.ultraToolTipManager1.ToolTipTitleAppearance.ForeColor = ucp.Color;
		}
		#endregion ucpTitleForeColor_ColorChanged

		#region txtCustomImage_EditorButtonClick
		private void txtCustomImage_EditorButtonClick(object sender, Infragistics.Win.UltraWinEditors.EditorButtonEventArgs e)
		{
			this.openFileDialog1.ShowDialog(this);
		}
		#endregion txtCustomImage_EditorButtonClick

		#region openFileDialog1_FileOk
		private void openFileDialog1_FileOk(object sender, System.ComponentModel.CancelEventArgs e)
		{
			OpenFileDialog ofd = sender as OpenFileDialog;

			try
			{
				Image img = Image.FromFile(ofd.FileName);
				this.ultraToolTipManager1.Appearance.Image = img;
				this.txtCustomImage.Text = ofd.FileName;

			}
			catch (Exception ex)
			{
				string errorString = string.Format("Could not load image./n{0}", ex.Message);
				MessageBox.Show(this, errorString, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}
		#endregion openFileDialog1_FileOk

		#region cboDisplayStyle_ValueChanged
		private void cboDisplayStyle_ValueChanged(object sender, System.EventArgs e)
		{
			UltraComboEditor uce = sender as UltraComboEditor;			
			ToolTipDisplayStyle toolTipDisplayStyle= (ToolTipDisplayStyle)uce.Value;			
			this.ultraToolTipManager1.DisplayStyle = toolTipDisplayStyle;

			switch (toolTipDisplayStyle)
			{
				case ToolTipDisplayStyle.Office2007:
					this.cboOffice2007ColorScheme.Enabled = true;
					break;
				case ToolTipDisplayStyle.BalloonTip:
				case ToolTipDisplayStyle.Standard:
				default:
					this.cboOffice2007ColorScheme.Enabled = false;
					break;
			}
		}
		#endregion cboDisplayStyle_ValueChanged

		#region cboOffice2007ColorScheme_ValueChanged
		private void cboOffice2007ColorScheme_ValueChanged(object sender, System.EventArgs e)
		{
			UltraComboEditor uce = sender as UltraComboEditor;			
			Office2007ColorScheme office2007ColorScheme= (Office2007ColorScheme)uce.Value;			
			Infragistics.Win.Office2007ColorTable.ColorScheme = office2007ColorScheme;
		}
		#endregion cboOffice2007ColorScheme_ValueChanged

		#region cboToolTipTextStyle_ValueChanged
		private void cboToolTipTextStyle_ValueChanged(object sender, System.EventArgs e)
		{
			UltraComboEditor uce = sender as UltraComboEditor;			
			ToolTipTextStyle toolTipTextStyle= (ToolTipTextStyle)uce.Value;			
			this.ultraToolTipManager1.ToolTipTextStyle = toolTipTextStyle;
		}
		#endregion cboToolTipTextStyle_ValueChanged

		#region fteFormattedToolTipText_ValueChanged
		private void fteFormattedToolTipText_ValueChanged(object sender, System.EventArgs e)
		{
			UltraFormattedTextEditor fte = sender as UltraFormattedTextEditor;
		
			// Get the ULtraToolTipInfo for the label
			UltraToolTipInfo toolTipInfo = this.ultraToolTipManager1.GetUltraToolTip(this.lblToolTip);

			if (fte.Value != null)
				toolTipInfo.ToolTipTextFormatted = fte.Value.ToString();
			else
				toolTipInfo.ToolTipTextFormatted = null;
		}
		#endregion fteFormattedToolTipText_ValueChanged

		#endregion Event Handlers
		
	}
}
